# Search terminals

Search all terminals

Endpoint: POST /terminals/{offset}/{amount}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `offset` (integer, required)

  - `amount` (integer, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `totalResults` (integer)

  - `terminals` (array)

  - `terminals.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `terminals.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `terminals.uuid` (string, required)

  - `terminals.primaryPlatformId` (string, required)

  - `terminals.createdAt` (string)
    The date and time this Entity has been created

  - `terminals.updatedAt` (string)
    The date and time this Entity has been updated

  - `terminals.language` (object)
    circular reference

  - `terminals.name` (string, required)

  - `terminals.integrationType` (string)
    Enum: "portbase", "psa", "dpworld"

  - `terminals.ean` (string)

  - `terminals.bicsCode` (string)

  - `terminals.quayName` (string)

  - `terminals.smdgCode` (string)

  - `terminals.locations` (array)

  - `terminals.allowedModalities` (array)

  - `terminals.terminalSettings` (array)

  - `terminals.terminalSettings.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `terminals.terminalSettings.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `terminals.terminalSettings.uuid` (string, required)

  - `terminals.terminalSettings.primaryPlatformId` (string, required)

  - `terminals.terminalSettings.createdAt` (string)
    The date and time this Entity has been created

  - `terminals.terminalSettings.updatedAt` (string)
    The date and time this Entity has been updated

  - `terminals.terminalSettings.language` (object)
    circular reference

  - `terminals.terminalSettings.loading` (boolean)

  - `terminals.terminalSettings.full` (boolean)

  - `terminals.terminalSettings.modality` (string)

  - `terminals.terminalSettings.sealNumberAllowed` (boolean)

  - `terminals.terminalSettings.reeferAllowed` (boolean)

  - `terminals.terminalSettings.grossWeightAllowed` (boolean)

  - `terminals.terminalSettings.outOfGaugeAllowed` (boolean)

  - `terminals.terminalSettings.dangerousGoodsAllowed` (boolean)

  - `terminals.terminalSettings.cargoCutOffInMinutes` (integer)

  - `terminals.tarRequired` (boolean)

  - `terminals.roadLicenseIdRequired` (boolean)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


